# Interface StandardOrderProcess

All Known Implementing Classes:
  `DefaultStandardOrderProcess`

@UML(identifier="MD_StandardOrderProcess", specification=ISO_19115) public interface StandardOrderProcess
Common ways in which the resource may be obtained or received, and related instructions and fee information.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getFees()`
  Fees and terms for retrieving the resource.
  `InternationalString`
  `getOrderingInstructions()`
  General instructions, terms and services provided by the distributor.
  `Date`
  `getPlannedAvailableDateTime()`
  Date and time when the dataset will be available.
  `InternationalString`
  `getTurnaround()`
  Typical turnaround time for the filling of an order.

- ## Method Details

  - ### getFees

    @UML(identifier="fees", obligation=OPTIONAL, specification=ISO_19115) InternationalString getFees()
    Fees and terms for retrieving the resource. Include monetary units (as specified in ISO 4217).
    Returns:
      Fees and terms for retrieving the resource, or `null`.

  - ### getPlannedAvailableDateTime

    @UML(identifier="plannedAvailableDateTime", obligation=OPTIONAL, specification=ISO_19115) Date getPlannedAvailableDateTime()
    Date and time when the dataset will be available.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Date and time when the dataset will be available, or `null`.

  - ### getOrderingInstructions

    @UML(identifier="orderingInstructions", obligation=OPTIONAL, specification=ISO_19115) InternationalString getOrderingInstructions()
    General instructions, terms and services provided by the distributor.
    Returns:
      General instructions, terms and services provided by the distributor, or `null`.

  - ### getTurnaround

    @UML(identifier="turnaround", obligation=OPTIONAL, specification=ISO_19115) InternationalString getTurnaround()
    Typical turnaround time for the filling of an order.
    Returns:
      Typical turnaround time for the filling of an order, or `null`.